# Generated from gem_metadata-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gem_metadata

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Filter and access gems depending on metadata they contain
License: ISC
URL: https://www.godobject.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.1
# BuildRequires: rubygem(rspec-collection_matchers) < 2
# BuildRequires: rubygem(cucumber) >= 2.4
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(temporary_directory) = 0.1.0
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(kramdown)
BuildArch: noarch

%description
GemMetadata is a Ruby library that allows to filter and access gems by custom
metadata keys that their specifications contain.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/gem_metadata.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
